// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define subscriberCompdef_Subscriber_impl_BODY

/************************************************************
 Subscriber_impl class body
 ************************************************************/

// include associated header file
#include "subscriberCompdef/Subscriber_impl.h"

// Derived includes directives
#include "rclcpp/rclcpp.hpp"

namespace subscriberCompdef {

#include <iostream>
using namespace std;

// static attributes (if any)

/**
 * 
 * @param options 
 */
Subscriber_impl::Subscriber_impl(rclcpp::NodeOptions /*in*/options) :
		Subscriber(options) {
}

/**
 * 
 * @param map 
 */
void Subscriber_impl::fListening(const simple_msgs::msg::Map::SharedPtr /*in*/commobj) {
	cout << "got map data" << endl;
	cout << "width: " << commobj->ogm.width << endl;
	cout << "height: " << commobj->ogm.height << endl;
	cout << "resolution: " << commobj->ogm.resolution << endl;
}

} // of namespace subscriberCompdef

/************************************************************
 End of Subscriber_impl class body
 ************************************************************/
